Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.junit
Class JUnitTask.TestResultHolder

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.junit.JUnitTask.TestResultHolder

Enclosing class:
  JUnitTask

    protected class JUnitTask.TestResultHolder

extends java.lang.Object

A value class that contains the result of a test.

Field Summary
`boolean` | `crashed` true if the test crashed
`int` | `exitCode` the exit code of the test.
`boolean` | `timedOut` true if the test timed out

Constructor Summary
`protected` | `JUnitTask.TestResultHolder()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### exitCode

    public int exitCode

  the exit code of the test.

### timedOut

    public boolean timedOut

  true if the test timed out

### crashed

    public boolean crashed

  true if the test crashed

Constructor Detail

### JUnitTask.TestResultHolder

    protected JUnitTask.TestResultHolder()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD